Supported MySQL/MariaDB Versions

Valid for versions 118 through the latest version

Version:

106

112

114

116

118


Last modified: November 17, 2023

Overview

This document provides the supported MySQL® and MariaDB® versions for each operating system that cPanel & WHM supports.

MySQL supported versions

Warning:

While your existing systems may use MySQL 5.7, you cannot select this version for a new installation. You also cannot modify your MySQL version to use 5.7. For more information, read our cPanel Deprecation Plan.

The following table shows the MySQL database versions available for your operating system:

Operating system OS version number Available relational database version number
AlmaLinux OS 8 8.0
AlmaLinux 9 8.0
CloudLinux™ 8 8.0
CloudLinux 9 8.0
Rocky Linux™ 8 8.0
Rocky Linux 9 8.0
Ubuntu® 20 8.0
Ubuntu 22 8.0

MariaDB supported versions

Warning:

While your existing systems may use the following MariaDB versions, you cannot select any of these versions for a new installation:

  • 10.0
  • 10.1
  • 10.2
  • 10.3

You also cannot upgrade to these MariaDB versions. For more information, read our cPanel Deprecation Plan.

The following table shows the MariaDB database versions available for your operating system:

Operating system OS version number Available relational database version number
AlmaLinux 8 10.3, 10.5, 10.6, 10.11
AlmaLinux 9 10.5, 10.6, 10.11
CloudLinux 8 10.3, 10.5, 10.6, 10.11
CloudLinux 9 10.5, 10.6, 10.11
Rocky Linux 8 10.3, 10.5, 10.6, 10.11
Rocky Linux 9 10.5, 10.6, 10.11
Ubuntu 20 10.5, 10.6, 10.11
Ubuntu 22 10.6, 10.11

Additional Documentation